path: /build/build/bubblewrap-sys-apps-0.3.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-selinux" emerge sys-apps/bubblewrap -pv -t && \
    USE="-selinux" emerge -j ${JOBS} --nodeps sys-apps/bubblewrap
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/bubblewrap && luet-portage --dir /pkgdir/bubblewrap
    sys-apps/bubblewrap && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4c210d33787f116c5c689673100e940f0a0202121cb72dd85bd857e375915254
  package:
    name: bubblewrap
    version: 0.3.1
    category: sys-apps
    use_flags:
    - -selinux
    requires:
    - name: macaroni-funtoo-race12
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Unprivileged sandboxing tool, namespaces-powered chroot-like solution
    uri:
    - https://github.com/projectatomic/bubblewrap
    license: LGPL-2+
    buildtimestamp: 2023-09-02 20:50:56.280402026 +0000 UTC m=+72.906614723
    labels:
      DEPEND: sys-libs/libseccomp sys-libs/libcap selinux? ( >=sys-libs/libselinux-2.1.9
        ) app-text/docbook-xml-dtd:4.3 app-text/docbook-xsl-stylesheets dev-libs/libxslt
        virtual/pkgconfig
      IUSE: selinux +suid kernel_linux
      RDEPEND: sys-libs/libseccomp sys-libs/libcap selinux? ( >=sys-libs/libselinux-2.1.9
        )
      emerge.packages: sys-apps/bubblewrap
      kit: security-kit
      original.package.name: sys-apps/bubblewrap
      original.package.slot: "0"
      original.package.version: 0.3.1-r1
    treedir: /build/packages
  package_dir: /pkgdir/bubblewrap
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 44de9412930079f4879046fcd29a05074c3fb84e812e52cf70e6a2b0b95937bc
compressiontype: zstd
files:
- usr/bin/bwrap
- usr/share/bash-completion/completions/bwrap
- usr/share/doc/bubblewrap-0.3.1-r1/README.md.bz2
- usr/share/man/man1/bwrap.1.bz2
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/BUILD_TIME
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/CATEGORY
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/CBUILD
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/CFLAGS
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/CHOST
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/CONTENTS
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/COUNTER
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/CXXFLAGS
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/DEFINED_PHASES
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/DEPEND
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/DESCRIPTION
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/EAPI
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/FEATURES
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/HOMEPAGE
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/INHERITED
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/IUSE
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/KEYWORDS
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/LDFLAGS
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/LICENSE
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/NEEDED
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/PF
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/RDEPEND
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/REQUIRES
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/RESTRICT
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/SIZE
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/SLOT
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/USE
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/bubblewrap-0.3.1-r1.ebuild
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/environment.bz2
- var/db/pkg/sys-apps/bubblewrap-0.3.1-r1/repository
package_cacheimage: ""
runtime:
  name: bubblewrap
  version: 0.3.1
  category: sys-apps
  use_flags:
  - -selinux
  requires:
  - name: libcap
    version: '>=0'
    category: sys-libs
  - name: libseccomp
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Unprivileged sandboxing tool, namespaces-powered chroot-like solution
  uri:
  - https://github.com/projectatomic/bubblewrap
  license: LGPL-2+
  labels:
    DEPEND: sys-libs/libseccomp sys-libs/libcap selinux? ( >=sys-libs/libselinux-2.1.9
      ) app-text/docbook-xml-dtd:4.3 app-text/docbook-xsl-stylesheets dev-libs/libxslt
      virtual/pkgconfig
    IUSE: selinux +suid kernel_linux
    RDEPEND: sys-libs/libseccomp sys-libs/libcap selinux? ( >=sys-libs/libselinux-2.1.9
      )
    emerge.packages: sys-apps/bubblewrap
    kit: security-kit
    original.package.name: sys-apps/bubblewrap
    original.package.slot: "0"
    original.package.version: 0.3.1-r1
